
QGIS Application - Bug report #9826

QGIS 2.2 frequently crashing on ubuntu saucy (13.10) due to styling with svg symbols

2014-03-20 02:39 AM - Admire Nyakudya

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 18357

Description

I have a project that i saved in qgis 2.0 and when i try to open it in qgis2.2 the svg symbols i have are not rendered correctly, i have

attached a png image for the original svg and what the results look like in qgis 2.2 . when i try to load that layer  separately in qgis 2.2 and

style it with that the same svg symbol it doesn't draw at all. I have checked with my project if i select all the layers in their individual groups

and try to pan around the map it crashes qgis. I have tried to start qgis2.2 from the terminal and i have noticed that each time it crashes

there is no stack trace.

History

#1 - 2014-06-01 07:50 AM - Jürgen Fischer

- Subject changed from QGIS 2.2 frequently crashhing on ubuntu 13.10 due to styling with svg symbols to QGIS 2.2 frequently crashing on ubuntu saucy 

(13.10) due to styling with svg symbols

#2 - 2014-06-21 02:59 AM - Jürgen Fischer

- Category set to Symbology

#3 - 2015-10-09 07:57 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

Please test with a later version and reopen if still an issue. Several changes since 2.2 have likely fixed this issue.

Files

svg_errors.png 120 KB 2014-03-20 Admire Nyakudya

cultivatedland.svg 25.6 KB 2014-03-20 Admire Nyakudya
